{
  pkgs,
  lib,
  inputs,
  ...
}: {
  imports = [
    ./dunst
    ./eww
    ./wofi
    ./mpv
    ./wayland
    ./pipewire

    ./theme

    ./firefox
    ./zathura
    ./kitty

    ./various
  ];

  home.packages = with pkgs; [
    brillo
    dunst
    libnotify
    wofi
    btop
    swayidle
    swaylock-effects
    swww
   ];

  xdg.mimeApps = {
    enable = true;
    defaultApplications = {
      "x-scheme-handler/discord-409416265891971072" = ["discord-409416265891971072.desktop"];
      "x-scheme-handler/discord-402572971681644545" = ["discord-402572971681644545.desktop"];
      "x-scheme-handler/discord-696343075731144724" = ["discord-696343075731144724.desktop"];
      "x-scheme-handler/http" = ["firefox.desktop"];
      "x-scheme-handler/https" = ["firefox.desktop"];
      "x-scheme-handler/chrome" = ["firefox.desktop"];
      "text/html" = ["firefox.desktop"];
      "application/x-extension-htm" = ["firefox.desktop"];
      "application/x-extension-html" = ["firefox.desktop"];
      "application/x-extension-shtml" = ["firefox.desktop"];
      "application/xhtml+xml" = ["firefox.desktop"];
      "application/x-extension-xhtml" = ["firefox.desktop"];
      "application/x-extension-xht" = ["firefox.desktop"];
      
      "application/pdf"  = ["org.pwmt.zathura-pdf-mupdf.desktop"];
      "text/plain" = ["vscodium.desktop"];
      
      "video/mp4" = ["mpv.desktop"];
    };   
    associations = {
      removed = {
        "application/pdf" = ["krita_pdf.desktop"];
      };
    };
  };
}