{
  pkgs,
  config,
  ...
}:
let
  wlogout_pkg = pkgs.wlogout;
in
{

xdg.configFile."swaylock/config".text = 
''
screenshots
grace=5
effect-pixelate=5
fade-in=0.2

ignore-empty-password
font=IBM Plex Mono

color=${config.colorscheme.colors.base00}00

indicator-radius=100
indicator-thickness=30

separator-color=${config.colorscheme.colors.base00}00

inside-color=${config.colorscheme.colors.base0C}00
inside-clear-color=${config.colorscheme.colors.base08}FF
inside-caps-lock-color=${config.colorscheme.colors.base09}00
inside-ver-color=${config.colorscheme.colors.base0C}FF
inside-wrong-color=${config.colorscheme.colors.base0F}FF


ring-color=${config.colorscheme.colors.base00}00
ring-clear-color=${config.colorscheme.colors.base00}00
ring-caps-lock-color=${config.colorscheme.colors.base00}00
ring-ver-color=${config.colorscheme.colors.base00}00
ring-wrong-color=${config.colorscheme.colors.base00}00

line-color=${config.colorscheme.colors.base00}00
line-clear-color=${config.colorscheme.colors.base00}00
line-caps-lock-color=${config.colorscheme.colors.base00}00
line-ver-color=${config.colorscheme.colors.base00}00
line-wrong-color=${config.colorscheme.colors.base00}00

text-color=${config.colorscheme.colors.base00}00
text-clear-color=${config.colorscheme.colors.base00}00
text-caps-lock-color=${config.colorscheme.colors.base00}00
text-ver-color=${config.colorscheme.colors.base00}00
text-wrong-color=${config.colorscheme.colors.base00}00


key-hl-color=${config.colorscheme.colors.base0C}FF
bs-hl-color=${config.colorscheme.colors.base08}FF
caps-lock-key-hl-color=${config.colorscheme.colors.base09}FF
caps-lock-bs-hl-color=${config.colorscheme.colors.base09}FF
'';

xdg.configFile."wlogout/style.css".text = 
''
window {
    font-family: Material Design Icons;
    font-size: 64pt;
    color: #${config.colorscheme.colors.base07};
    background-color: alpha(#${config.colorscheme.colors.base00},0.6);
}

button {
    border-radius:7px;
    border: 2px solid #${config.colorscheme.colors.base03};
    color: #${config.colorscheme.colors.base07};
    padding: 20px;
    background-color: alpha(#${config.colorscheme.colors.base00},0.8);
    transition: box-shadow 0.2s ease-in-out, background-color 0.2s ease-in-out;
}

button:hover {
    background-color: alpha(#${config.colorscheme.colors.base02},0.8);
}

button:focus {
    background-color: alpha(#${config.colorscheme.colors.base02},1.0);
    border: 2px solid #${config.colorscheme.colors.base05};
}

'';

xdg.configFile."wlogout/layout".text = 
''
{
    "label" : "lock",
    "action" : "swaylock",
    "text" : "󰌾",
    "keybind" : "l"
}
{
    "label" : "reboot",
    "action" : "systemctl reboot",
    "text" : "󰜉",
    "keybind" : "r"
}
{
    "label" : "shutdown",
    "action" : "systemctl poweroff",
    "text" : "󰐥",
    "keybind" : "s"
}
'';

}