{ lib, stdenv, fetchFromGitHub, wrapQtAppsHook,  qmake, qtbase, qtwebengine, qtwayland
}:
stdenv.mkDerivation rec {
  pname = "simc";
  version = "d89e3825a840e0b80f7bccb99d2a86c8030ede57";

  src = fetchFromGitHub rec {
            owner = "simulationcraft";
            repo = "simc";
            rev = "d89e3825a840e0b80f7bccb99d2a86c8030ede57";
            hash = "sha256-tj/hAUFD8z8ZYVvBEfoUoe+ynUwUoib1QIhxODpCwSo=";
        };

  nativeBuildInputs = [ wrapQtAppsHook qmake qtwebengine qtbase ];

  buildInputs = [ qtwayland ];
  
  configurePhase = ''
    qmake simulationcraft.pro
  '';

  buildPhase = ''
    SC_NO_NETWORKING=1 make -j$NIX_BUILD_CORES
  '';

  installPhase = ''
    mkdir -p $out/bin
    mv gui/SimulationCraft $out/bin
  '';

}